<template>
  <div>
    <nav>
      <router-link to="/about">About</router-link><hr>
      <router-link :to="{ name: 'select' }">Lessons</router-link>
      <router-link to="/teacher">Teacher</router-link>
    </nav>
    <div class="login-button">
      <router-link to="/login">Увійти</router-link>
    </div>
    <router-view />
  </div>
</template>

<style lang="scss">
#app{
  font-size: x-large;
}
nav {
  margin: 10px;
  padding: 30px;

  a {
    font-weight: bold;
    color: #2c3e50;

    &.router-link-exact-active {
      color: #42b983;
    }
  }
}

.login-button {
  position: fixed;
  top: 10px;
  right: 10px;
  padding: 10px;
  background-color: #3498db;
  border: none;
  color: #fff;
  font-weight: bold;
  cursor: pointer;

  a {
    color: #fff;
    text-decoration: none;
  }
}
</style>
